You have not accepted the license agreements of the following SDK components: [Google Repository]


#1
  • Cocoon Version:
    latest

  • Basic description of the problem:
    I try to compile construct 2 exported project using cordova, but every time i get a problem:

  • Webview engine(s):
    Canvas+

  • Used plugins (if relevant):
    <plugin name="cordova-plugin-file"/> <plugin name="cordova-plugin-httpd"/> <plugin name="cordova-plugin-whitelist" source="npm"/> <access origin="*"/> <plugin name="cordova-plugin-inappbrowser" source="npm"/> <plugin name="cordova-plugin-game" spec="*"> <variable name="APP_ID" value="secret"/> </plugin> <platform name="android"> <preference name="enabled" value="true"/> <preference name="Orientation" value="landscape"/> <preference name="Fullscreen" value="true"/> </platform> <plugin name="cordova-android-movetasktoback" spec="*"/> <plugin name="cordova-plugin-screen-uility" spec="*"/> <plugin name="com.ludei.canvasplus.ios" spec="*"/> <plugin name="com.ludei.canvasplus.android" spec="*"/> <plugin name="com.ludei.installlocation.android" spec="*"/>

  • Framework/game engine (if relevant):
    Construct 2


Sdk error in compin
#2

Have the same problem too, it didn’t work until I deleted cordova-plugin-ad-admob plugin, but I still need them


#3

same here and nobody reply to us to explain what happens :frowning:


#4

Same here, Is there a way to add this “sdkmanager --licenses” to accept all licenses in command line?

@Blue_Sialia and @andy_reitberger

Please

Greetens

David


#5

Same issue…Anyone out there to help us??
i am using Construct 2!


#6

@andy_reitberger, Why do you ignore this topic? Without this licenses my app, like many others may become useless


#7

My error is appearing when i adding Cranberry Google Play Games plugin in my project but i need it


#8

Sorry for letting you wait. I just made a built and it compiled fine on my end. However I’m using the Cocoon Google Play Games plugin, not the Cordova Game Plugin by Cranberrygame.

Have you checked your Game Service settings? Maybe you must agree any license by Google first in your Publisher Account. Or it was something Ludei has fixed on their cloud compiler.

All I can say is that the built worked fine for me. If the issue persist, please contact the plugin author @cranberryga. It could be a problem of the plugin it self.

Best,
Andy


#9

Thx for answer, but it’s not a problem only with cranberry plugins
I made a build with cocoon ads, it finished successfully, but ads is not showing.
I’ve tried to use different ads plugins from different autors (not forks, absolutely different), but every time I want to compile an app, cocoon returns error. To my mind, it’s Ludei-side problem


#10

If it’s a server side problem, we need to hope that Ludei will fix it in time. But’s very quiet at the moment…


#11

Now all working fine for me. I think Ludei has already fixed it


#12

I still get an error, not sure if it’s the same

CORDOVA LOG: 

e[36m[2018-06-27 11:15:52.198] [DEBUG] AndroidBuilder - e[39m[prepare] cordova restore platforms
e[36m[2018-06-27 11:15:52.210] [DEBUG] AndroidBuilder - e[39m[prepare] adding engine android@6.2.3
Subproject Path: CordovaLib
e[36m[2018-06-27 11:15:55.459] [DEBUG] AndroidBuilder - e[39mundefined

#13

Hello,

Do you have this error with all of your projects? If not, could you tell me which one of your projects has this issue?


#14

I was getting this problem in all my projects about an week ago… Right now I am not getting this problem…


#15

Personally I get this error in all of my projects.


#16

I’m getting the same error on my project, didn’t happen before, like a month ago


#17

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.